org.eclipse.actf.util.httpproxy.core

## Interface IPushbackMessageBody

All Superinterfaces:
  IMessageBody

    public interface IPushbackMessageBody
    extends IMessageBody

Body of a HTTP request/response message which can provide `PushbackInputStream`.

### Method Summary

Methods
`PushbackInputStream` `getMessageBodyPushBackInputStream()` Returns a `PushbackInputStream` for this message body.

### Methods inherited from interface org.eclipse.actf.util.httpproxy.core.IMessageBody

`getContentLength, getMessageBodyInputStream, getMessageBodyTimeoutInputStream, isChunkedEncoding`

### Method Detail

#### getMessageBodyPushBackInputStream

    PushbackInputStream getMessageBodyPushBackInputStream()

Returns a `PushbackInputStream` for this message body.

Returns:
  a `PushbackInputStream` for this message body.